## com.google.appengine.api.datastore
Class Email

    java.lang.Object
      com.google.appengine.api.datastore.Email

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Email>

    public final class Email

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<Email>

An e-mail address datatype. Makes no attempt at validation.

See Also:
  RFC 2822 for the e-mail address specification., Serialized Form

Field Summary
`static long` `serialVersionUID`

Constructor Summary
`Email(java.lang.String email)`

Method Summary
`int` `compareTo(Email e)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getEmail()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Email

    public Email(java.lang.String email)

Method Detail

### getEmail

    public java.lang.String getEmail()

### compareTo

    public int compareTo(Email e)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Email>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`